Get a voice design
Returns the latest version of a voice design, or a specific version when ?version=N is provided. The id parameter accepts either a UUID or the design name.
GET
/
voice_designs
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const voiceDesign = await client.voiceDesigns.retrieve('id');
console.log(voiceDesign.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
voice_design = client.voice_designs.retrieve(
id="id",
)
print(voice_design.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
voiceDesign, err := client.VoiceDesigns.Get(
context.TODO(),
"id",
telnyx.VoiceDesignGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceDesign.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignRetrieveParams;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VoiceDesignRetrieveResponse voiceDesign = client.voiceDesigns().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
voice_design = telnyx.voice_designs.retrieve("id")
puts(voice_design)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$voiceDesign = $client->voiceDesigns->retrieve('id', version: 1);
var_dump($voiceDesign);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/voice_designs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "voice_design",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "friendly-narrator",
"version": 1,
"text": "Hello, welcome.",
"prompt": "Speak in a warm tone",
"voice_sample_size": 48000,
"version_created_at": "2024-01-01T00:00:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"provider": "Telnyx",
"provider_supported_models": [
"Qwen3TTS"
],
"provider_voice_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The voice design UUID or name.
Query Parameters
Specific version number to retrieve. Defaults to the latest version.
Required range:
x >= 1Response
The requested voice design.
Response envelope for a single voice design with full version detail.
A voice design object with full version detail.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const voiceDesign = await client.voiceDesigns.retrieve('id');
console.log(voiceDesign.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
voice_design = client.voice_designs.retrieve(
id="id",
)
print(voice_design.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
voiceDesign, err := client.VoiceDesigns.Get(
context.TODO(),
"id",
telnyx.VoiceDesignGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceDesign.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignRetrieveParams;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VoiceDesignRetrieveResponse voiceDesign = client.voiceDesigns().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
voice_design = telnyx.voice_designs.retrieve("id")
puts(voice_design)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$voiceDesign = $client->voiceDesigns->retrieve('id', version: 1);
var_dump($voiceDesign);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/voice_designs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "voice_design",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "friendly-narrator",
"version": 1,
"text": "Hello, welcome.",
"prompt": "Speak in a warm tone",
"voice_sample_size": 48000,
"version_created_at": "2024-01-01T00:00:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"provider": "Telnyx",
"provider_supported_models": [
"Qwen3TTS"
],
"provider_voice_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}